curl --request POST \
--url https://getunblocked.com/api/v1/scim/v2/Users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userName": "<string>",
"schemas": [
"<string>"
],
"externalId": "701984",
"name": {
"formatted": "Ms. Barbara Jane Jensen, III",
"familyName": "Jensen",
"givenName": "Barbara",
"middleName": "Jane",
"honorificPrefix": "Ms.",
"honorificSuffix": "III"
},
"displayName": "<string>",
"active": true,
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "701984",
"costCenter": "4130",
"organization": "Universal Studios",
"division": "Theme Park",
"department": "Tour Operations"
}
}
'import requests
url = "https://getunblocked.com/api/v1/scim/v2/Users"
payload = {
"userName": "<string>",
"schemas": ["<string>"],
"externalId": "701984",
"name": {
"formatted": "Ms. Barbara Jane Jensen, III",
"familyName": "Jensen",
"givenName": "Barbara",
"middleName": "Jane",
"honorificPrefix": "Ms.",
"honorificSuffix": "III"
},
"displayName": "<string>",
"active": True,
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "701984",
"costCenter": "4130",
"organization": "Universal Studios",
"division": "Theme Park",
"department": "Tour Operations"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userName: '<string>',
schemas: ['<string>'],
externalId: '701984',
name: {
formatted: 'Ms. Barbara Jane Jensen, III',
familyName: 'Jensen',
givenName: 'Barbara',
middleName: 'Jane',
honorificPrefix: 'Ms.',
honorificSuffix: 'III'
},
displayName: '<string>',
active: true,
'urn:ietf:params:scim:schemas:extension:enterprise:2.0:User': {
employeeNumber: '701984',
costCenter: '4130',
organization: 'Universal Studios',
division: 'Theme Park',
department: 'Tour Operations'
}
})
};
fetch('https://getunblocked.com/api/v1/scim/v2/Users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://getunblocked.com/api/v1/scim/v2/Users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userName' => '<string>',
'schemas' => [
'<string>'
],
'externalId' => '701984',
'name' => [
'formatted' => 'Ms. Barbara Jane Jensen, III',
'familyName' => 'Jensen',
'givenName' => 'Barbara',
'middleName' => 'Jane',
'honorificPrefix' => 'Ms.',
'honorificSuffix' => 'III'
],
'displayName' => '<string>',
'active' => true,
'urn:ietf:params:scim:schemas:extension:enterprise:2.0:User' => [
'employeeNumber' => '701984',
'costCenter' => '4130',
'organization' => 'Universal Studios',
'division' => 'Theme Park',
'department' => 'Tour Operations'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://getunblocked.com/api/v1/scim/v2/Users"
payload := strings.NewReader("{\n \"userName\": \"<string>\",\n \"schemas\": [\n \"<string>\"\n ],\n \"externalId\": \"701984\",\n \"name\": {\n \"formatted\": \"Ms. Barbara Jane Jensen, III\",\n \"familyName\": \"Jensen\",\n \"givenName\": \"Barbara\",\n \"middleName\": \"Jane\",\n \"honorificPrefix\": \"Ms.\",\n \"honorificSuffix\": \"III\"\n },\n \"displayName\": \"<string>\",\n \"active\": true,\n \"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User\": {\n \"employeeNumber\": \"701984\",\n \"costCenter\": \"4130\",\n \"organization\": \"Universal Studios\",\n \"division\": \"Theme Park\",\n \"department\": \"Tour Operations\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://getunblocked.com/api/v1/scim/v2/Users")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userName\": \"<string>\",\n \"schemas\": [\n \"<string>\"\n ],\n \"externalId\": \"701984\",\n \"name\": {\n \"formatted\": \"Ms. Barbara Jane Jensen, III\",\n \"familyName\": \"Jensen\",\n \"givenName\": \"Barbara\",\n \"middleName\": \"Jane\",\n \"honorificPrefix\": \"Ms.\",\n \"honorificSuffix\": \"III\"\n },\n \"displayName\": \"<string>\",\n \"active\": true,\n \"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User\": {\n \"employeeNumber\": \"701984\",\n \"costCenter\": \"4130\",\n \"organization\": \"Universal Studios\",\n \"division\": \"Theme Park\",\n \"department\": \"Tour Operations\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://getunblocked.com/api/v1/scim/v2/Users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userName\": \"<string>\",\n \"schemas\": [\n \"<string>\"\n ],\n \"externalId\": \"701984\",\n \"name\": {\n \"formatted\": \"Ms. Barbara Jane Jensen, III\",\n \"familyName\": \"Jensen\",\n \"givenName\": \"Barbara\",\n \"middleName\": \"Jane\",\n \"honorificPrefix\": \"Ms.\",\n \"honorificSuffix\": \"III\"\n },\n \"displayName\": \"<string>\",\n \"active\": true,\n \"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User\": {\n \"employeeNumber\": \"701984\",\n \"costCenter\": \"4130\",\n \"organization\": \"Universal Studios\",\n \"division\": \"Theme Park\",\n \"department\": \"Tour Operations\"\n }\n}"
response = http.request(request)
puts response.read_body{
"schemas": [
"<string>"
],
"id": "2819c223-7f76-453a-919d-413861904646",
"meta": {
"resourceType": "User",
"created": "2011-05-13T04:42:34Z",
"lastModified": "2011-05-13T04:42:34Z",
"location": "https://getunblocked.com/api/v1/scim/v2/Users/2819c223-7f76-453a-919d-413861904646",
"version": "W/\"123456\""
},
"userName": "<string>",
"name": {
"formatted": "Ms. Barbara Jane Jensen, III",
"familyName": "Jensen",
"givenName": "Barbara",
"middleName": "Jane",
"honorificPrefix": "Ms.",
"honorificSuffix": "III"
},
"displayName": "<string>",
"active": true,
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "701984",
"costCenter": "4130",
"organization": "Universal Studios",
"division": "Theme Park",
"department": "Tour Operations"
}
}An error occurred.Create User
Create a new user.
curl --request POST \
--url https://getunblocked.com/api/v1/scim/v2/Users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userName": "<string>",
"schemas": [
"<string>"
],
"externalId": "701984",
"name": {
"formatted": "Ms. Barbara Jane Jensen, III",
"familyName": "Jensen",
"givenName": "Barbara",
"middleName": "Jane",
"honorificPrefix": "Ms.",
"honorificSuffix": "III"
},
"displayName": "<string>",
"active": true,
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "701984",
"costCenter": "4130",
"organization": "Universal Studios",
"division": "Theme Park",
"department": "Tour Operations"
}
}
'import requests
url = "https://getunblocked.com/api/v1/scim/v2/Users"
payload = {
"userName": "<string>",
"schemas": ["<string>"],
"externalId": "701984",
"name": {
"formatted": "Ms. Barbara Jane Jensen, III",
"familyName": "Jensen",
"givenName": "Barbara",
"middleName": "Jane",
"honorificPrefix": "Ms.",
"honorificSuffix": "III"
},
"displayName": "<string>",
"active": True,
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "701984",
"costCenter": "4130",
"organization": "Universal Studios",
"division": "Theme Park",
"department": "Tour Operations"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userName: '<string>',
schemas: ['<string>'],
externalId: '701984',
name: {
formatted: 'Ms. Barbara Jane Jensen, III',
familyName: 'Jensen',
givenName: 'Barbara',
middleName: 'Jane',
honorificPrefix: 'Ms.',
honorificSuffix: 'III'
},
displayName: '<string>',
active: true,
'urn:ietf:params:scim:schemas:extension:enterprise:2.0:User': {
employeeNumber: '701984',
costCenter: '4130',
organization: 'Universal Studios',
division: 'Theme Park',
department: 'Tour Operations'
}
})
};
fetch('https://getunblocked.com/api/v1/scim/v2/Users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://getunblocked.com/api/v1/scim/v2/Users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userName' => '<string>',
'schemas' => [
'<string>'
],
'externalId' => '701984',
'name' => [
'formatted' => 'Ms. Barbara Jane Jensen, III',
'familyName' => 'Jensen',
'givenName' => 'Barbara',
'middleName' => 'Jane',
'honorificPrefix' => 'Ms.',
'honorificSuffix' => 'III'
],
'displayName' => '<string>',
'active' => true,
'urn:ietf:params:scim:schemas:extension:enterprise:2.0:User' => [
'employeeNumber' => '701984',
'costCenter' => '4130',
'organization' => 'Universal Studios',
'division' => 'Theme Park',
'department' => 'Tour Operations'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://getunblocked.com/api/v1/scim/v2/Users"
payload := strings.NewReader("{\n \"userName\": \"<string>\",\n \"schemas\": [\n \"<string>\"\n ],\n \"externalId\": \"701984\",\n \"name\": {\n \"formatted\": \"Ms. Barbara Jane Jensen, III\",\n \"familyName\": \"Jensen\",\n \"givenName\": \"Barbara\",\n \"middleName\": \"Jane\",\n \"honorificPrefix\": \"Ms.\",\n \"honorificSuffix\": \"III\"\n },\n \"displayName\": \"<string>\",\n \"active\": true,\n \"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User\": {\n \"employeeNumber\": \"701984\",\n \"costCenter\": \"4130\",\n \"organization\": \"Universal Studios\",\n \"division\": \"Theme Park\",\n \"department\": \"Tour Operations\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://getunblocked.com/api/v1/scim/v2/Users")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userName\": \"<string>\",\n \"schemas\": [\n \"<string>\"\n ],\n \"externalId\": \"701984\",\n \"name\": {\n \"formatted\": \"Ms. Barbara Jane Jensen, III\",\n \"familyName\": \"Jensen\",\n \"givenName\": \"Barbara\",\n \"middleName\": \"Jane\",\n \"honorificPrefix\": \"Ms.\",\n \"honorificSuffix\": \"III\"\n },\n \"displayName\": \"<string>\",\n \"active\": true,\n \"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User\": {\n \"employeeNumber\": \"701984\",\n \"costCenter\": \"4130\",\n \"organization\": \"Universal Studios\",\n \"division\": \"Theme Park\",\n \"department\": \"Tour Operations\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://getunblocked.com/api/v1/scim/v2/Users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userName\": \"<string>\",\n \"schemas\": [\n \"<string>\"\n ],\n \"externalId\": \"701984\",\n \"name\": {\n \"formatted\": \"Ms. Barbara Jane Jensen, III\",\n \"familyName\": \"Jensen\",\n \"givenName\": \"Barbara\",\n \"middleName\": \"Jane\",\n \"honorificPrefix\": \"Ms.\",\n \"honorificSuffix\": \"III\"\n },\n \"displayName\": \"<string>\",\n \"active\": true,\n \"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User\": {\n \"employeeNumber\": \"701984\",\n \"costCenter\": \"4130\",\n \"organization\": \"Universal Studios\",\n \"division\": \"Theme Park\",\n \"department\": \"Tour Operations\"\n }\n}"
response = http.request(request)
puts response.read_body{
"schemas": [
"<string>"
],
"id": "2819c223-7f76-453a-919d-413861904646",
"meta": {
"resourceType": "User",
"created": "2011-05-13T04:42:34Z",
"lastModified": "2011-05-13T04:42:34Z",
"location": "https://getunblocked.com/api/v1/scim/v2/Users/2819c223-7f76-453a-919d-413861904646",
"version": "W/\"123456\""
},
"userName": "<string>",
"name": {
"formatted": "Ms. Barbara Jane Jensen, III",
"familyName": "Jensen",
"givenName": "Barbara",
"middleName": "Jane",
"honorificPrefix": "Ms.",
"honorificSuffix": "III"
},
"displayName": "<string>",
"active": true,
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "701984",
"costCenter": "4130",
"organization": "Universal Studios",
"division": "Theme Park",
"department": "Tour Operations"
}
}An error occurred.Authorizations
The API key to authenticate requests. Obtainable from the web dashboard.
Body
A SCIM user object as defined in RFC 7643. This object is used to represent a user in the SCIM API.
A service provider's unique identifier for the user, typically used by the user to directly authenticate to the service provider. Often displayed to the user as their unique identifier within the system (as opposed to "id" or "externalId", which are generally opaque and not user-friendly identifiers). Each User MUST include a non-empty userName value. This identifier MUST be unique across the service provider's entire set of Users. This attribute is REQUIRED and is case insensitive.
An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current structure.
A String that is an identifier for the resource as defined by the provisioning client. The "externalId" may simplify identification of a resource between the provisioning client and the service provider by allowing the client to use a filter to locate the resource with an identifier from the provisioning domain, obviating the need to store a local mapping between the provisioning domain's identifier of the resource and the identifier used by the service provider. Each resource MAY include a non-empty "externalId" value. The value of the "externalId" attribute is always issued by the provisioning client and MUST NOT be specified by the service provider. The service provider MUST always interpret the externalId as scoped to the provisioning domain. While the server does not enforce uniqueness, it is assumed that the value's uniqueness is controlled by the client setting the value.
"701984"
The components of the user's name. Service providers MAY return just the full name as a single string in the formatted sub-attribute, or they MAY return just the individual component attributes using the other sub-attributes, or they MAY return both. If both variants are returned, they SHOULD be describing the same name, with the formatted name indicating how the component attributes should be combined.
Show child attributes
Show child attributes
The name of the user, suitable for display to end-users. Each user returned MAY include a non-empty displayName value. The name SHOULD be the full name of the User being described, if known (e.g., "Babs Jensen" or "Ms. Barbara J Jensen, III") but MAY be a username or handle, if that is all that is available (e.g., "bjensen"). The value provided SHOULD be the primary textual label by which this User is normally displayed by the service provider when presenting it to end-users.
A Boolean value indicating the User's administrative status. The definitive meaning of this attribute is determined by the service provider. As a typical example, a value of true implies that the user is able to log in, while a value of false implies that the user's account has been suspended.
true
SCIM Enterprise User Schema Extension fields as defined in RFC 7643 section 4.3.
Show child attributes
Show child attributes
Response
Created
A SCIM user object as defined in RFC 7643. This object is used to represent a user in the SCIM API.
An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current structure. Each schema URI MUST be unique, and any schema that defines attributes in the current structure MUST be included in the array. The schemas array is REQUIRED and MUST be non-empty.
A unique identifier for a SCIM resource as defined by the service provider. Each representation of the resource MUST include a non-empty "id" value. This identifier MUST be unique across the SCIM service provider's entire set of resources. It MUST be a stable, non-reassignable identifier that does not change when the same resource is returned in subsequent requests. The value of the "id" attribute is always issued by the service provider and MUST NOT be specified by the client. The string "bulkId" is a reserved keyword and MUST NOT be used within any unique identifier value.
"2819c223-7f76-453a-919d-413861904646"
A complex attribute containing resource metadata. All "meta" sub-attributes are assigned by the service provider. This attribute SHALL be ignored when provided by clients.
Show child attributes
Show child attributes
A service provider's unique identifier for the user, typically used by the user to directly authenticate to the service provider. Often displayed to the user as their unique identifier within the system (as opposed to "id" or "externalId", which are generally opaque and not user-friendly identifiers). Each User MUST include a non-empty userName value. This identifier MUST be unique across the service provider's entire set of Users. This attribute is REQUIRED and is case insensitive.
The components of the user's name. Service providers MAY return just the full name as a single string in the formatted sub-attribute, or they MAY return just the individual component attributes using the other sub-attributes, or they MAY return both. If both variants are returned, they SHOULD be describing the same name, with the formatted name indicating how the component attributes should be combined.
Show child attributes
Show child attributes
The name of the user, suitable for display to end-users. Each user returned MAY include a non-empty displayName value. The name SHOULD be the full name of the User being described, if known (e.g., "Babs Jensen" or "Ms. Barbara J Jensen, III") but MAY be a username or handle, if that is all that is available (e.g., "bjensen"). The value provided SHOULD be the primary textual label by which this User is normally displayed by the service provider when presenting it to end-users.
A Boolean value indicating the User's administrative status. The definitive meaning of this attribute is determined by the service provider. As a typical example, a value of true implies that the user is able to log in, while a value of false implies that the user's account has been suspended.
true
SCIM Enterprise User Schema Extension fields as defined in RFC 7643 section 4.3.
Show child attributes
Show child attributes